Update Endpoint
PATCH
/api/v1/recurring-snapshots/{rs_id}
const url = 'https://example.com/api/v1/recurring-snapshots/1';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"frequency":"example","day_of_week":1,"day_of_month":1,"balance":1,"note":"example","enabled":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/v1/recurring-snapshots/1 \ --header 'Content-Type: application/json' \ --data '{ "frequency": "example", "day_of_week": 1, "day_of_month": 1, "balance": 1, "note": "example", "enabled": true }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”rs_id
required
Rs Id
integer
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
RecurringSnapshotUpdate
object
Example generated
{ "frequency": "example", "day_of_week": 1, "day_of_month": 1, "balance": 1, "note": "example", "enabled": true}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
RecurringSnapshotOut
object
id
required
Id
integer
account_id
required
Account Id
integer
frequency
required
Frequency
string
currency
required
Currency
string
enabled
required
Enabled
boolean
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
Example generated
{ "id": 1, "account_id": 1, "frequency": "example", "day_of_week": 1, "day_of_month": 1, "balance": "example", "currency": "example", "note": "example", "enabled": true, "last_run_at": "2026-04-15T12:00:00Z", "next_run_at": "2026-04-15T12:00:00Z", "created_at": "2026-04-15T12:00:00Z", "updated_at": "2026-04-15T12:00:00Z"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}